`timescale 1ns/10ps

module memTest;
reg clock, en, we;
reg [7:0] addr;
wire [7:0] di;
wire [7:0] do;

mem DUT (.clock(clock), .we(we), .en(en), .addr(addr), .di(data), .do(data));

initial // resetG]w memory e 0,1,2,....,127
begin
  $display ("memoryTest:initial");
  clock = 0;
  reset = 1;
  en = 0;
  we = 0; // ig
  addr = 0;
end

always #50 clock = clock + 1; 

always #100 
begin
 addr=addr+1;
 if (r_w == 0)
 begin
	data = 127-addr;
	dbus = data;
 end
end

initial #200
begin
  $display ("memoryTest:200 begin read");  
  reset = 0;
  en = 1;
  addr = 0;
end

initial #500 // writeGgJ 127-addr 
begin
  $display ("memoryTest:500 begin write");  
  reset = 0;
  en = 1;
  r_w = 0;
  addr = 0;
end

endmodule
