`timescale 1ns/10ps

module memoryTest;
reg clock, reset, en, r_w;
reg [7:0] addr;
reg [7:0] data_in;
wire [7:0] dbus_out;

memory DUT (.clock(clock), .reset(reset), .en(en), .r_w(r_w), 
   .abus(addr), .dbus_in(data_in), .dbus_out(dbus_out));

initial // resetG]w memory e 0,1,2,....,127
begin
  clock = 0;
  reset = 1;
  en = 0;
  r_w = 1; // r_w=1:ŪҦ
  #75;
  en = 1;
  reset = 0;
  addr = 0;
  #500;
  addr = 1;
  r_w = 0; // gJҦ
  data_in = 8'h3A;
  #100;
  addr = 0;
  r_w = 1; // ŪҦ
  data_in = 0;
end

always #50 clock = clock + 1; 

always #200 
begin
 addr=addr+1;
end

endmodule
