module pcTick(input clock, reset, output reg [31:0] pc, 
             output reg [2:0] tick);
	always @(posedge clock) begin
		if (reset) 
		  begin
			pc = 0;
			tick = 0;
		  end
		else begin
			tick = tick+1;
			if (tick == 6) begin
				tick = 0;
				pc = pc+4;
			end
		end
	end
endmodule
